@echo off

rem test français / anglais

findstr "Moyenne" "c:\temp\ping192.txt">nul
if %errorlevel% equ 1 (
    goto searchEnglish
) else (
    goto searchFrench
)

:searchFrench:
for /f "delims== tokens=3" %%n in ('findstr "Maximum" "c:\temp\ping192.txt"') do set "Maximum=%%n"
set "Maximum=%Maximum:~1%"
set "Maximum=%Maximum:ms, Moyenne=%"
goto resultat

:searchEnglish
for /f "delims== tokens=3" %%n in ('findstr "Maximum" "c:\temp\ping192.txt"') do set "Maximum=%%n"
set "Maximum=%Maximum:~1%"
set "Maximum=%Maximum:ms, Average=%"
goto resultat





:resultat
echo %Maximum%